Studio
List Saved Reference Foods
Lists the foods the calling member saved in the Reference food database, most recently saved first. Only the caller's own foods are returned. A food saved a moment ago can take a moment to appear.
Query Parameters
limit?Limit
Most foods to return (1 to 50).
Default
20Range
1 <= value <= 50cursor?|
next_cursor from the previous page. Omit for the first page.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.bettermenu.live/studio/reference/foods/saved"{
"items": [
{
"food_id": "string",
"name": "string",
"brand": "string",
"source": "generic",
"saved": true,
"saved_at": "2019-08-24T14:15:22Z",
"first_viewed_at": "2019-08-24T14:15:22Z",
"last_viewed_at": "2019-08-24T14:15:22Z",
"view_count": 0,
"last_portion": {
"label": "string",
"grams": 0.001
},
"per_100g": {
"calories": 100000,
"total_fat": 100000,
"total_carbohydrate": 100000,
"protein": 100000
},
"data_version": "string"
}
],
"next_cursor": "string"
}{
"type": "https://api.bettermenu.live/errors/recipe_not_found",
"title": "Recipe Not Found",
"status": 400,
"detail": "Recipe rcpe_abc123 does not exist",
"code": "recipe_not_found",
"retryable": true,
"instance": "/api/v1/recipes/rcpe_abc123",
"trace_id": "req_xyz789",
"errors": [
{}
],
"invalid_ids": [
"f_abc123",
"f_xyz789"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}